<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class henshawUserHasAdmin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if(!($request->user()->role->role === 'superAdmin') && ($request->user()->school_id == getuserSchoolId())){
            return $next($request);
        }
        else{
            return back()->with(['str' => 'danger', 'msg' => 'Vous n\'êtes autorisés pour cette action, Merci !']);
        }
    }
}
